Bug Hunting Session
Bug 119759 - Text can disappear after highlighting some content, typing something new & right mouse click
Summary: Text can disappear after highlighting some content, typing something new & ri...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-08 14:55 UTC by Telesto
Modified: 2019-09-09 05:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-09-08 14:55:31 UTC
Description:
Text can disappear after highlighting some content, typing something new & right mouse click

Steps to Reproduce:
1. Open Writer
2. Hold 'a' for a while
3. Select the marker tool (bucket)
4. Drag it over a part of the text
5. Hold B for 2 sec
6. Right click

Actual Results:
The B's will be removed

Expected Results:
Shouldn't happen, it think


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: 22f49d10c001f9d62e3783872bc7e53a902265a3
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-08_03:56:10
Locale: en-US (nl_NL); Calc: CL

and in

LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5
Comment 1 Telesto 2018-09-08 14:59:31 UTC
The idea probably is to undo the highlighting with right click. But it doesn't account for actions (for example text editing) between the highlighting and pressing right click for undo
Comment 2 V Stuart Foote 2018-09-08 20:38:50 UTC
Confirmed on Windows 10 64-bit en-US with
Version: 6.2.0.0.alpha0+ (x64)
Build ID: 9a9b81c7212fa6a6762246593acf3f1950677a22
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-07_23:40:38
Locale: en-US (en_US); Calc: threaded


This seems a counterpoint to Highlight mode issue in bug 119753, bcz when inserting into a text span being highlighted, here the <Esc> toggles the mode off--while launching context menu clobbers the inserted text.

Something is muddled with controls for Highlight formatting.
Comment 3 QA Administrators 2019-09-09 05:30:51 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug